=head1 NAME

	EditEntry.pl

=head1 DESCRIPTION

	Set of utility functions for iANT.edit.entry.pl

=head1 AUTHORS

	Jerome Gouzy      - Jerome.Gouzy@toulouse.inra.fr
	Sebastien Carrere - Sebastien.Carrere@toulouse.inra.fr

=cut

=head3 function System

 Title        : System
 Usage        : System($cde,"stderr,log,errcode")
 Prerequisite : none
 Function     : Run a system command, can log the command on the LOG/STDERR streams or die if the command returns an error code
 Returns      : none
 Args         : $cde
 		$how: a string that can contain "stderr,log,errcode"
 Globals      : LOG/STDERR streams

=cut


sub RileyHtmlSelect
{
    my ($input_name,$select) = (@_);
    
    my $o_param = &iANT::Cfg::Load();

    my $riley_file = $o_param->Get('classification_riley');
    
    return &iANT::Common::BuildHtmlSelect($riley_file,$input_name,$select);

}

sub RileyValue
{
    my ($select) = (@_);
    
    my $o_param = &iANT::Cfg::Load();

    my $riley_file = $o_param->Get('classification_riley');
    
    return &iANT::Common::GetValue($riley_file,$select);

}


sub ConfidenceHtmlSelect
{
    my ($input_name,$select) = (@_);

    my %h_levels = (0 => "0-Hypothetical", 1 => "1-Putative", 2 => "2-Probable", 3 => "3" );
    return &iANT::Common::BuildHtmlSelect(\%h_levels,$input_name,$select);

}

sub ConfidenceValue
{
    my ($select) = (@_);

    my %h_levels = (0 => "0-Hypothetical", 1 => "1-Putative", 2 => "2-Probable", 3 => "3" );
    return &iANT::Common::GetValue(\%h_levels,$select);

}


1;
