package iANT::Graphics::ColorMap;

BEGIN
{
    our $VERSION = do {my @r = (q$Rev: 1 $ =~ /\d+/g); $r[0]};
}

sub New
{
    my ($pkg, $type) = @_;

    $type = 'RBG' if (!defined($type));

    my $self = {
                __type     => $type,    # 'RBG'
                __h_colors => {}
                };

    bless($self, $pkg);

    $self->__InitRBG() if ($type eq 'RBG');
    return ($self);
}

sub __InitRBG
{
    my ($self) = @_;

    push(@{$self->{'__h_colors'}{'white'}},      (255, 255, 255));
    push(@{$self->{'__h_colors'}{'black'}},      (0,   0,   0));
    push(@{$self->{'__h_colors'}{'red'}},        (255, 0,   0));
    push(@{$self->{'__h_colors'}{'yellow'}},     (255, 255, 0));
    push(@{$self->{'__h_colors'}{'lightblue'}},  (0,   255, 255));
    push(@{$self->{'__h_colors'}{'green'}},      (0,   127, 0));
    push(@{$self->{'__h_colors'}{'lightgreen'}}, (0,   255, 0));
    push(@{$self->{'__h_colors'}{'orange'}},     (255, 165, 0));
    push(@{$self->{'__h_colors'}{'gold'}},       (255, 215, 0));
    push(@{$self->{'__h_colors'}{'darkorange'}}, (255, 140, 0));

    push(@{$self->{'__h_colors'}{'blue'}},      (0,   0,   255));
    push(@{$self->{'__h_colors'}{'darkblue'}},  (0,   0,   139));
    push(@{$self->{'__h_colors'}{'rose'}},      (255, 127, 168));
    push(@{$self->{'__h_colors'}{'lightgrey'}}, (196, 196, 196));

}

1;

