package iANT::Graphics::Display::Html;

use iANT::Graphics::Display;
use base 'iANT::Graphics::Display';
use strict;

sub _Init
{
    my ($self, %r_param) = @_;

    $self->SUPER::_Init(%r_param);
    $self->{'__url_dir'} = $r_param{'url_dir'};
}

=head3 Dump

=cut

sub Dump
{
    my ($self, %h_param) = @_;

    $self->SUPER::Dump(%h_param);
    my $map_name = ($h_param{'name'} eq '') ? 'map1' : $h_param{'name'};
    my ($href_img, $href_item) = $self->GetFiles('basename');

    # peut etre faire la dfinition de la map au niveau display car on va sans doute l'avoir besoin dans BioMoby
    my $html = "<map name=\"$map_name\">\n";

    foreach my $o_item ((@{$self->{'__ao_labels'}}, @{$self->{'__ao_segments'}}))
    {
        my ($x1, $y1, $x2, $y2) = $o_item->GetArea();
        my $desc = $o_item->GetDescription();
        $html .= "<area href=\"$href_item\" alt=\"$desc\" TITLE=\"$desc\" shape=\"RECT\" COORDS=\"$x1,$y1,$x2,$y2\">\n";
    }
    $html .= "</map>\n";

    $html .= "<img src=\"" . $self->{'__url_dir'} . "$href_img\" alt=\"\" border=\"1\" usemap=\"#$map_name\">\n";

    if ($h_param{'mode'} =~ /print/i)
    {
        print "$html\n";
    }
    else    # default is mode 'get'
    {
        return $html;
    }
}

1;
