package iANT::Graphics::Segment;

our %H_WIDTH = (
                'rectangle'      => 20,
                'mini_rectangle' => 3
                );

require 'UNIVERSAL.pl';

sub _Init
{
    my ($self, %h_param) = @_;

    $self->{'__id'}          = $h_param{'id'};
    $self->{'__acc'}         = $h_param{'acc'};
    $self->{'__begin'}       = $h_param{'begin'};
    $self->{'__end'}         = $h_param{'end'};
    $self->{'__score'}       = $h_param{'score'};
    $self->{'__shape'}       = $h_param{'type'};
    $self->{'__color'}       = $h_param{'color'};
    $self->{'__priority'}    = $h_param{'priority'};
    $self->{'__description'} = $h_param{'description'};
    $self->{'__x1'}          = undef;
    $self->{'__x2'}          = undef;
    $self->{'__y1'}          = undef;
    $self->{'__y2'}          = undef;
}

sub DrawNoWrap
{
    my ($self, $margin_left, $margin_right, $y, $scaling, $ro_gd) = @_;

    my $x1 = $margin_left + $self->{'__begin'} * $scaling;
    my $x2 = $margin_left + $self->{'__end'} * $scaling;
    return -1 if ($x1 > $margin_right && $x2 > $margin_right);
    return 0 if ($x2 > $margin_right);
    if ($self->{'__shape'} =~ /rectangle/)
    {
        my ($x1, $y1, $x2, $y2) = ($x1, $y, $x2, $y + $H_WIDTH{$self->{'__shape'}});

        $ro_gd->filledRectangle($x1, $y1, $x2, $y2, $self->{'__color'});
        $self->SetArea($x1, $y1 - 2, $x2, $y2 + 2);
    }
    return 1;
}

=head3 GetId

=cut

sub GetId
{
    my ($self) = @_;

    return $self->{'__id'};
}

=head3 GetDescription

=cut

sub GetDescription
{
    my ($self) = @_;

    return $self->{'__description'};
}

=head3 GetArea

=cut

sub GetArea
{
    my ($self) = @_;

    return ($self->{'__x1'}, $self->{'__y1'}, $self->{'__x2'}, $self->{'__y2'});
}

=head3 SetArea

=cut

sub SetArea
{
    my ($self, $x1, $y1, $x2, $y2) = @_;

    $self->{'__x1'} = int($x1 + 0.5) if (defined($x1));
    $self->{'__y1'} = int($y1 + 0.5) if (defined($y1));
    $self->{'__x2'} = int($x2 + 0.5) if (defined($x2));
    $self->{'__y2'} = int($y2 + 0.5) if (defined($y2));
}
